using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Track
	{
	public int _step;
	public float _timeBegin;
	public List<Item> _items = new List<Item>();
    public bool valid = false; //did you succeed in instantiating this track with the right widgets
    public bool finished = false;
    public int cognitiveLoad { set; get; }
    public bool isErrorEvent = false;


    public Track(GameControler pGameController, bool isErrorEvent)
	{
	}

    public virtual void finish()
    {
        finished = true;
    }

	public bool isFinished()
	{
		return _step >= _items.Count;
	}

    public virtual void handleWidgetUpdate(Widget signallingWidget)
    {
    }

    public virtual void update()
    {

    }

    public virtual string getInstruction()
    {
        return "";
    }

	}
